using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Android.Support.V4.View;
using Java.Lang;
using Com.Syncfusion.Charts;
using Android.Graphics;
using Java.Util;

namespace TreePager
{
    public class CustomAdapter : PagerAdapter
    {
        Context context;

        public CustomAdapter(Context context)
        {
            this.context = context;
        }

        public override int Count
        {
            get { return 20; } // Number of pages
        }

        public override Java.Lang.Object InstantiateItem(ViewGroup container, int position)
        {

           SfChart chart = new SfChart(context);
            chart.SetBackgroundColor(Color.White);

            NumericalAxis xAxis = new NumericalAxis();
            chart.PrimaryAxis = xAxis;

            NumericalAxis yAxis = new NumericalAxis();
            chart.SecondaryAxis = yAxis;

            DataModel dataModel = new DataModel();

            FastLineSeries series = new FastLineSeries();
            series.DataSource = dataModel.BGSource;
            chart.Series.Add(series);

            var viewPager = container.JavaCast<ViewPager>();
            viewPager.AddView(chart);
            return chart;
        }

        public override void DestroyItem(ViewGroup container, int position, Java.Lang.Object @object)
        {
            var viewPager = container.JavaCast<ViewPager>();
            viewPager.RemoveView(container as View);
        }

        public override bool IsViewFromObject(View view, Java.Lang.Object obj)
        {
            return view == obj;
        }      
    }
}